Bug 737359 - vm guest lost internet connection - the host still have it
vm guest lost internet connection - the host still have it
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-11 08:20 EDT by melchiaros
Modified: 2013-01-09 19:18 EST (History)
18 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-28 19:51:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
logs (2.81 MB, application/x-gzip)
2011-09-11 08:52 EDT, melchiaros
no flags Details

  None (edit)
Description melchiaros 2011-09-11 08:20:25 EDT
Description of problem:
Sometimes all my guest vm´s got lost there internet connections comletely. The host (fedora15) still has it.



Version-Release number of selected component (if applicable):

[user@localhost ~]$ rpm -qa | grep kvm
qemu-kvm-0.14.0-7.fc15.x86_64
[user@localhost ~]$ rpm -qa | grep qemu
gpxe-roms-qemu-1.0.1-4.fc15.noarch
qemu-system-x86-0.14.0-7.fc15.x86_64
qemu-kvm-0.14.0-7.fc15.x86_64
qemu-common-0.14.0-7.fc15.x86_64
qemu-img-0.14.0-7.fc15.x86_64
[user@localhost ~]$ rpm -qa | grep kernel
arm-gp2x-linux-kernel-headers-2.6.12.0-5.fc15.noarch
kernel-debug-2.6.40.4-5.fc15.x86_64
kernel-headers-2.6.40.4-5.fc15.x86_64
kernel-devel-2.6.40.3-0.fc15.x86_64
abrt-addon-kerneloops-2.0.3-3.fc15.x86_64
kernel-devel-2.6.40.4-5.fc15.x86_64
kernel-2.6.40.3-0.fc15.x86_64
kernel-debug-2.6.40.3-0.fc15.x86_64
kernel-2.6.38.6-26.rc1.fc15.x86_64
kernel-2.6.40.4-5.fc15.x86_64
[user@localhost ~]$ 


How reproducible:
sometimes

Steps to Reproduce:
1.have some vm´s running under kvm fedora15
2.see breaking the internaet connections of all guests(more or less at the same time)
3.see that the host has still internet connection.
  
Actual results:
Breaking internet connections for the guests
Expected results:

Stable internet connections for the guests.
Additional info:
Comment 1 melchiaros 2011-09-11 08:52:26 EDT
Created attachment 522608 [details]
logs
Comment 2 Fedora Admin XMLRPC Client 2012-03-15 13:53:53 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Cole Robinson 2012-05-28 19:51:56 EDT
From your logs, it looks like you are using libvirt's default virtual network. This mode relies on non persistent iptables rules added when libvirtd is started. The problem is likely that iptables was restarted, or another tool like system-config-firewall made changes to iptables that wiped out libvirt networking rules. This is a long known issue unfortunately :(

Work has already started for F18 timeframe to have libvirtd work with firewalld to store these rules in some persistent manner, effectively fixing this issue. But it won't ever make F15 (which is end-of-life in a month).

That said, I'm just assuming that's the issue you were hitting :) If you think I missed something and you are still encountering this on F16 or later, please reopen this report.

Note You need to log in before you can comment on or make changes to this bug.